| Home | Libraries | People | FAQ | More

## BoostBook element `enum`

enum — Declares an enumeration type

## Synopsis

enum ::= (enumvalue*, purpose?, description?)

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2004/01/15 16:08:59 $ to keep "last revised" information in sync with CVS changes
name | #REQUIRED | CDATA | The name of the element being declared to referenced
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes

Last revised: , at GMT | Copyright © 2003 Douglas Gregor

BoostBook element lib |  | BoostBook element requires